gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-anastasis] 02/02: add sync providers logic to other affected test


From: gnunet
Subject: [taler-anastasis] 02/02: add sync providers logic to other affected test
Date: Fri, 21 Jan 2022 21:43:19 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository anastasis.

commit 9d764c3956c33171769b9560d427d2b749a22f78
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Fri Jan 21 21:43:11 2022 +0100

    add sync providers logic to other affected test
---
 ...t_anastasis_reducer_recovery_enter_user_attributes.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh 
b/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
index be04f96..43c6a4e 100755
--- a/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
+++ b/src/cli/test_anastasis_reducer_recovery_enter_user_attributes.sh
@@ -436,6 +436,22 @@ then
 fi
 echo " OK"
 
+echo -n "Synchronizing providers"
+anastasis-reducer sync_providers < $R2FILE > $R1FILE
+anastasis-reducer sync_providers < $R1FILE > $R2FILE
+# This one will fail, as we should now have all 3 providers
+# used by the policy in sync!
+anastasis-reducer sync_providers < $R2FILE > $R1FILE 2> /dev/null || true
+# Note: continue with $R2FILE, the last one that was valid!
+
+CODE=`jq -r -e .code < $R1FILE`
+if test "$CODE" != "8400"
+then
+    exit_fail "Expected to be synced, instead the code is '$CODE'"
+fi
+echo " OK"
+
+
 echo -n "Running challenge logic ..."
 
 UUID0=`jq -r -e .recovery_information.challenges[0].uuid < $R2FILE`

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]